# ​​UOS 人工智能助理|uos-ai-assistant|

## 概述
UOS AI助手是一款綜合性的助手，主要功能包含寫作問答、文生圖、自然語言控制、文件總結等，旨在為使用者提供全方位的AI輔助能力，主要能力介紹如下：

**寫作問答**

UOS AI助手能夠根據使用者的問題或指令，生成各種形式的內容，包括文字、圖像等，並提供詳盡的資訊回答。  
在辦公環境中，您可以利用這項功能快速生成會議記錄、報告草稿；在學習時，可以查詢資料，獲取知識點的詳細解釋等。

**自然語言交互**（系統控制）

此功能允許使用者通過自然語言與助手進行交流，控制電腦系統或應用程式，執行如開啟應用、調整系統參數、建立行程等操作。  
簡單說出指令，如「提醒我下午3點參加會議」，助手會自動設定行程；也可以通過一句話完成系統設定，如：將螢幕亮度調到20%、切換桌布等；也可以一句話開啟應用，如：開啟WPS，無需在應用列表中尋找應用。

**個人知識庫**

個人知識庫可以允許使用者添加自己的資料給【個人知識助手】，添加後AI即可基於自己的知識來回答問題或寫作。

**AI 隨航**

您可以在統信UOS的任意介面（包含在絕大部分第三方應用內），通過選中詞語、段落，即可調起AI隨航，使用AI隨航的AI搜尋、AI解釋、AI總結、AI翻譯以及續寫、擴寫、糾錯、潤色等功能。

## 快速上手
### 認識介面

UOS AI 助手支援兩種模式的介面，可以根據您不同的需求場景，變換形態；切換方法是在頂部工具列的【更多】子選單中，找到【模式】選項，即可選擇不同模式。

**視窗模式**

介面為橫屏，且可隨意移動和改變大小，適合沉浸式體驗。

![圖](fig/1.1.png)


**側邊欄模式**

介面為豎屏，介面不可移動，固定在螢幕左側，但可調整寬度，適合和其他應用共同使用場景，為其他應用提供AI輔助能力。

![圖](fig/1.2.png)

### 文字聊天模式

**語音輸入**

語音輸入功能讓使用者能夠通過說話與AI助手進行交流，無需手動輸入文字，具體使用步驟如下：  
1. 啟用語音輸入：點擊輸入框旁的麥克風圖示，啟用語音輸入模式。  
2. 開始說話：在啟用語音輸入後，您可以開始說話。UOS AI助手會即時聽取並轉錄您的語音輸入。  
3. 發送文字：完成輸入後，點擊發送按鈕，或按下Enter鍵，將您的文字發送給AI助手。

![圖](fig/1.3.png)


**文字輸入**

文字輸入是傳統的文字交流方式，使用者可以在輸入框中鍵入問題、系統操作指令，寫作提示詞等。  
1. 點擊輸入框：將游標定位到輸入框中。  
2. 鍵入文字：輸入您想要詢問的問題或需要助手執行的指令。  
3. 發送文字：完成輸入後，點擊發送按鈕，或按下Enter鍵，將您的文字發送給AI助手。

![圖](fig/1.4.png)


**輸入框功能特點**

1. 多語言支援：UOS AI助手的文字輸入，支援中文、英文等多種語言（取決於接入的大模型支援哪些語言），但語音輸入只支援中文和英文。  
2. 即時回饋：在語音輸入時，輸入框會顯示動態圖示，告知使用者助手正在聽取指令。  
3. 支援文件：您可以將文件拖入輸入框，將其發送給助手，助手可以總結文件內容，或根據文件內容回答使用者提問。  
4. 換行輸入：點擊Ctrl+Enter組合鍵，可換行輸入內容。  
5. 聊天區域是UOS AI助手展示對話歷史和互動回饋的地方。它不僅能呈現文字、圖片回覆，還整合了朗讀、複製等增強功能。同時，支援清除當前的聊天記錄。  
6. 對於一個問題的回答，如果不滿意當前的回答內容，也可以點擊【重新生成】，以重新生成新的回答，並且可以點擊答案切換按鈕，來查看對比每次生成的答案。

### 語音對話模式

UOS AI助手的語音對話功能，允許使用者直接通過語音與UOS AI助手進行交流，同時，AI助手也會用語音做出回應。該功能完全模擬真實的人與人對話的場景，互動自然友好。

使用者可以向UOS AI提問，並繼續用語音追問問題，讓問問題就像和人討論一樣自然；使用者也可以將UOS AI助手作為陪聊玩伴，為自己講故事、聊天談心、出謀劃策等。

![圖](fig/1.5.png)


### 快速開始

在任務列中，找到 UOS AI 應用圖示；點擊即可開啟應用；  
初次進入應用，會有彈窗提示領取免費帳號；點擊領取按鈕，即可領取免費帳號；  
注意：贈送免費帳號的活動可能會結束，具體活動時間以應用內表現為準。如果不使用免費帳號，您也可以配置自己的大模型帳號，以使用 UOS AI 助手  
帳號領取完成後，即可進入應用，選擇 UOS AI 助手，即可開始聊天問答。（UOS AI 助手是預設選中）。

## 智能體

### UOS AI 助手

UOS AI 助手是一個綜合助手，他能完成各種綜合性任務，比如：  
1. AI 問答：基於常識問題，直接解答；同時，選中官方免費的 Deepseek 模型，還可以聯網搜尋問答，已解決一些有時效性、大模型知識不包含的問題；  
2. AI 寫作：基於您給的提示，完成寫作，比如：基於我本月的所有週報（可以通過文件方式提供），給我寫一個月度工作總結  
3. 系統控制：將螢幕亮度調整到 40%、開啟 WPS 應用、建立行程。  
4. AI 生圖：基於您的需求，為您生成圖片，如：畫一幅圖：落霞與孤鶩齊飛。  
注意：系統控制和 AI 生圖，需要依賴特定的模型才可實現，且不支援本地模型。

![圖](fig/2.1.png)


### UOS 玩機助手

該助手內建了 UOS系統和相關應用的使用手冊和問題解決方案，他可以幫助您解答 UOS系統和相關應用方面的知識。  
他將成為您 7x24h 的客服，有任何 UOS 系統和應用相關的問題，您都可以諮詢他。

![圖](fig/2.2.png)


### 個人知識助手

個人知識庫助手是專為個人打造的知識管理和應用解決方案。該智能體允許您添加自己的知識到AI 的知識庫，AI 回答問題時，會優先參考您的知識庫回答問題、寫作；這解決了 AI 不知道您私有知識的問題，讓 AI 生成的內容，更符合您的工作環境。  
在智能體列表中，選擇個人知識助手，即可開始使用。  
備註：在使用個人知識助手前，您需要先添加自己的文件到知識庫，添加成功後，您便可以在【個人知識助手】智能體中，針對知識庫提問，AI 生成的回答中，便會基於您的知識庫回答。  
具體的添加方法，詳見下文的【設定】-【知識庫設定】章節。

![圖](fig/2.3.png)

## 設定

### 模型接入

UOS AI 助手支援同時支援三種類型的模型，使用方式如下：

**線上模型**

啟動應用後，領取免費帳號，領取成功後，即可開始試用。  
如果錯過了初次啟動時的免費帳號彈窗，可以在設定中領取。  
除了領取免費帳號，您也可以配置您自己的線上模型。

![圖](fig/3.1.png)


同時您也可以添加自己的AI模型帳號，以適應各種特定的使用場景。在【線上模型】欄點擊【添加】入口，即可喚起【添加模型】彈窗，您可以根據需要，選擇您所需的模型，填入APIKey等參數後，即可正常使用該模型。


![圖](fig/3.2.png)

當前官方適配的模型有百度千帆、訊飛星火、360智腦、智譜ChatGLM等；

![圖](fig/3.3.png)

如果您需要接入其他的模型，也可通過自定義模型接入。自定義模型支援所有OpenAI格式的API接口。

![圖](fig/3.4.png)


**本地模型**

開啟設定，在中，先安裝【向量化模型插件】，再安裝【Deepseek】本地模型，安裝成功後，在模型列表中，選擇有容大模型即可。  
注意，在安裝和使用 Deepseek 模型前，必須要先安裝【向量化模型插件】，否則本地模型將無法下載和使用。

![圖](fig/3.5.png)


**私有化部署模型**

開啟設定，在【私有化部署模型】板塊，可以接入私有化部署模型，讓 UOS AI 使用您自己的模型來回答問題或寫作。  
注意：當前只支援 OpenAI 格式的 API。

### 知識庫管理

在使用知識庫前，您需要先建立您的知識庫，在【設定】【知識庫管理】模塊，您可以建立和管理您的知識庫。  
點擊【添加】按鈕，即可添加文件到知識庫中，添加成功後，您便可以在【個人知識助手】智能體中，針對知識庫提問，AI 生成的回答中，便會基於您的知識庫回答。  
點擊【刪除】按鈕，即可逐條刪除已添加的文件。

![圖](fig/3.6.png)

### 通用設定

在設定中，除了可設定模型、知識庫管理之外，您還可以：  
1. 開啟或關閉隨航功能，關閉隨航後，在選中文字時，將不會再出現隨航圖示；  
2. 設定應用的代理，以方便存取所有的模型；  
3. 參看使用協議。

## 插件
### AI 隨航

**喚醒方式**

在系統任意介面（包含在絕大部分第三方應用內），選中文字，會出現UOS AI圖示<img src="../common/uos-ai-assistant-icon.svg" alt="圖" style="zoom: 25%;" />，滑鼠懸停在圖示上0.5秒左右，會出現隨航工具列。點擊非工具列的任意位置，或按Esc，均會關閉隨航工具列。

![圖](fig/4.1.png)


**工具列功能介紹**

| 功能名稱 | 功能解釋                                                     |
| -------- | ------------------------------------------------------------ |
| 圖示     | 點擊後，開啟UOS AI助手面板。                                 |
| 搜尋     | 在瀏覽器中開啟AI搜尋，深入解釋選中詞語。                     |
| 解釋     | 清晰易懂的解釋選中詞語的意思。                               |
| 總結     | 簡明扼要的將選中詞語進行概要總結。                           |
| 翻譯     | 將選中文字翻譯成中/英文。                                    |
| 續寫     | 基於選中詞語的意思，繼續向後撰寫符合原意的文案。             |
| 擴寫     | 基於選中詞語的意思，前後發散，補充細節或描述，讓內容更加豐富。 |
| 糾錯     | 糾正選中詞語中的錯別字和措辭不當等問題。                     |
| 潤色     | 可以根據選中的潤色風格，對選中詞語的文風和措辭進行調整和潤色。 |
| 隱藏     | 隱藏隨航功能，後續不再劃詞出現，但仍可前往UOS AI設定內重新開啟，或使用快捷鍵Super+空格鍵喚醒。 |

**隨航生成面板**

點擊隨航任意功能，均會開啟隨航的生成快捷面板並即時生成結果，在面板頂部，可切換使用隨航其他功能。

若對生成結果很滿意，可在任意輸入框內，點擊快捷面板的**貼上至正文**功能，將生成結果貼上至輸入框內；或點擊**複製**，將生成結果複製到剪貼簿。

若對生成結果不滿意，可點擊**重新生成**，此時將重新生成回答內容。

若想對生成結果進一步調整，可點擊**繼續對話**或點擊<img src="../common/sent.svg" alt="圖"/>，將當前對話內容帶入至UOS AI助手對話框，發送新的指令進行調整。

![圖](fig/4.2.png)

### AI 寫作

**喚醒方式**

在系統大多數輸入框中，處於輸入狀態時，使用快捷鍵**Super+空格鍵**，來喚醒AI寫作。該面板可以通過點擊x或按Esc關閉。

![圖](fig/5.1.png)

**功能介紹**

AI寫作提供了包括寫文章、寫大綱、寫通知在內等寫作場景的7種提示詞模板。

選擇任一模板後，替換模板中的【藍色關鍵詞】，按下Enter或點擊<img src="../common/sent.svg" alt="圖"/>發送。

![圖](fig/5.2.png)

大模型根據提示詞要求生成內容後：

若對生成結果很滿意，可在任意輸入框內，點擊快捷面板的**貼上至正文**功能，將生成結果貼上至輸入框內；或點擊**複製**，將生成結果複製到剪貼簿。

若對生成結果不滿意，可點擊**重新生成**，此時將重新生成回答內容。

若想對生成結果進一步調整，可點擊頂部輸入框“對已生成內容和修改、換個語氣...”，發送新的指令進行調整。

![圖](fig/5.3.png)

## 版本差異說明

由於設備性能、系統版本等差異，本地模型、個人知識庫、線上模型等功能，可能於某些版本或設備上不支援。  
建議使用最新的系統並將 UOS AI 應用更新至最新版本；同時採用性能較佳的設備，以便體驗最完整的 AI 能力。
